This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit f0b9a12a7e8fb43b660cf5822dbca7ceb8d763dd
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:44:04 2015 +0200
Use full paths for tarballs
Change-Id: I2c07be9256482713af9d485b367dfa35f6370189
---
config/bench/fs/makefs.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index f62f482..4c87d5f 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -45,7 +45,7 @@ function derivevars {
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ tarball="`pwd`/${outdir}.tgz" #debootstrap insists on .tar or .tgz, and full paths
if test ${make_chroot} -ne 0; then
if test -e "${outdir}"; then
echo "${outdir} already exists" >&2
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 6498979f8b9a926b51ad890f6988ad181fe3fa4e
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:26:51 2015 +0200
Allow user to override 'local changes' check
Change-Id: I02f150da61b1867f284210e17102956fad40d661
---
config/bench/fs/makefs.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 6367edf..f62f482 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -10,7 +10,13 @@ if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
exit 1
elif test x"`git status -sb --porcelain | sed 1d`" != x; then
echo "Repository has local changes" >&2
- exit 1
+ REPLY=
+ while ! echo "${REPLY}" | grep -qi [yn]; do
+ read -sn1 -p "Continue anyway? (y/n) " >&2
+ done
+ if test x"${REPLY,,}" = xn; then
+ exit 1
+ fi
fi
#All of these variables MUST be defined and non-empty
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 3b575a0 Allow user to override 'local changes' check
new 6498979 Allow user to override 'local changes' check
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (3b575a0)
\
N -- N -- N refs/heads/bernie/fs (6498979)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit a07c817134fec100aa45e799ec2a6093c0cf5d32
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:20:29 2015 +0200
Allow selection of what to produce
The tarball, the chroot or (by default) both.
Change-Id: I9e75219a5a87b2a64ddd7f10ac3faa3da2ae3273
---
config/bench/fs/makefs.sh | 28 +++++++++++++++++++++-------
1 file changed, 21 insertions(+), 7 deletions(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 80b6632..6367edf 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -25,19 +25,32 @@ if test $? -ne 0; then
exit 1
fi
-export nosudo=${1:-}
+make_tarball=1 #create a tarball?
+make_chroot=1 #create a chroot (from the tarball)?
+while getopts TC flag; do
+ case "${flag}" in
+ T) make_tarball=0;;
+ C) make_chroot=0;;
+ esac
+done
function derivevars {
echo ${arch:?Must give arch} > /dev/null
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tar.gz"
- if test -e "${outdir}"; then
- echo "${outdir} already exists" >&2
- exit 1
+ tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ if test ${make_chroot} -ne 0; then
+ if test -e "${outdir}"; then
+ echo "${outdir} already exists" >&2
+ exit 1
+ fi
+ if ! test -e ${tarball}; then
+ echo "${tarball} does not exist, cannot generate chroot" >&2
+ exit 1
+ fi
fi
- if test -e "${tarball}"; then
+ if test ${make_tarball} -ne 0 && test -e "${tarball}"; then
echo "${tarball} already exists" >&2
exit 1
fi
@@ -51,6 +64,7 @@ function derivevars {
}
function gentar {
+ if test ${make_tarball} -eq 0; then return 0; fi
/usr/sbin/debootstrap --make-tarball="${tarball}" \
${variant:+--variant="${variant}"} \
--include="${extras}" \
@@ -59,7 +73,7 @@ function gentar {
}
function genrootfs {
- if test x"${nosudo}" != x; then return 0; fi
+ if test ${make_chroot} -eq 0; then return 0; fi
#This command sets a mirror just in case we need to get anything
#from the net - but, IIUC, it should not be used.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 3b575a0fe36d6f4d1bb1a863dc79b36b03e87a2f
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:26:51 2015 +0200
Allow user to override 'local changes' check
Change-Id: I02f150da61b1867f284210e17102956fad40d661
---
config/bench/fs/makefs.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 6367edf..71c6cfb 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -10,7 +10,13 @@ if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
exit 1
elif test x"`git status -sb --porcelain | sed 1d`" != x; then
echo "Repository has local changes" >&2
- exit 1
+ REPLY=
+ while ! echo "${REPLY}" | grep -qi [yn]; do
+ echo "Continue anyway? (y/n) " >&2
+ done
+ if test x"${REPLY,,}" = xn; then
+ exit 1
+ fi
fi
#All of these variables MUST be defined and non-empty
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 75f0cf2 Allow selection of what to produce
new a07c817 Allow selection of what to produce
new 3b575a0 Allow user to override 'local changes' check
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (75f0cf2)
\
N -- N -- N refs/heads/bernie/fs (3b575a0)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 12 +++++++++---
1 file changed, 9 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 50ad506b603a22b3ed000b0a76c25161172ee140
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:21:13 2015 +0200
Add some comments
Change-Id: Ib141f404240910da8ebf9829a8680f8ee93c4dc1
---
config/bench/fs/makefs.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 02df1d8..80b6632 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -41,6 +41,8 @@ function derivevars {
echo "${tarball} already exists" >&2
exit 1
fi
+
+ #Assumes host machine is x86_64
if test x"${arch}" = "xx86-64"; then
foreign=
else
@@ -71,6 +73,7 @@ function genrootfs {
#This depends on the relevant kernel magic being in place to execute
#arm/aarch64 code on qemu, and the relevant qemu being installed
+ #Debian: apt-get install binfmt-support qemu-user-static
if test x"${foreign:-}" != x; then
sudo /usr/bin/debootstrap --second-stage --second-stage-target="${outdir}"
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 75f0cf29da55ca7f2aab2e5003bf31bba20fe81a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:20:29 2015 +0200
Allow selection of what to produce
The tarball, the chroot or (by default) both.
Change-Id: I9e75219a5a87b2a64ddd7f10ac3faa3da2ae3273
---
config/bench/fs/makefs.sh | 28 +++++++++++++++++++++-------
1 file changed, 21 insertions(+), 7 deletions(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 80b6632..9bc6aac 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -25,19 +25,32 @@ if test $? -ne 0; then
exit 1
fi
-export nosudo=${1:-}
+make_tarball=1 #create a tarball?
+make_chroot=1 #create a chroot (from the tarball)?
+while getopts TC flag; do
+ case "${flag}" in
+ T) make_tarball=0;;
+ C) make_chroot=0;;
+ esac
+done
function derivevars {
echo ${arch:?Must give arch} > /dev/null
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tar.gz"
- if test -e "${outdir}"; then
- echo "${outdir} already exists" >&2
- exit 1
+ tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ if test ${make_chroot} -ne 0; then
+ if test -e "${outdir}"; then
+ echo "${outdir} already exists" >&2
+ exit 1
+ fi
+ if ! test -e ${tarball}; then
+ echo "${tarball} does not exist, cannot generate chroot" >&2
+ exit 1
+ fi
fi
- if test -e "${tarball}"; then
+ if test ${make_tarball} -ne 0 && test -e "${tarball}"; then
echo "${tarball} already exists" >&2
exit 1
fi
@@ -51,6 +64,7 @@ function derivevars {
}
function gentar {
+ if ${make_tarball} -eq 0; then return 0; fi
/usr/sbin/debootstrap --make-tarball="${tarball}" \
${variant:+--variant="${variant}"} \
--include="${extras}" \
@@ -59,7 +73,7 @@ function gentar {
}
function genrootfs {
- if test x"${nosudo}" != x; then return 0; fi
+ if ${make_chroot} -eq 0; then return 0; fi
#This command sets a mirror just in case we need to get anything
#from the net - but, IIUC, it should not be used.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 2a86394 Add some comments
discards 6a8b708 Allow selection of what to produce
new 50ad506 Add some comments
new 75f0cf2 Allow selection of what to produce
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (2a86394)
\
N -- N -- N refs/heads/bernie/fs (75f0cf2)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 1ee54bd [AArch64 Testsuite] vld1_lane.c: Remove unused test data
new a13f5fb PR libstdc++/66829 * testsuite/lib/libstdc++.exp (v3-build_ [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
libstdc++-v3/ChangeLog | 6 ++++++
libstdc++-v3/testsuite/lib/libstdc++.exp | 2 +-
2 files changed, 7 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.